# PHTTPSimpleAuth Class Reference

This class describes the simplest authorisation mechanism for a Universal Resource Locator, a fixed realm, username and password. More...

`#include <http.h>`

Inheritance diagram for PHTTPSimpleAuth:

List of all members.

## Public Member Functions

| PHTTPSimpleAuth (const PString &realm, const PString &username, const PString &password)
virtual PObject * | Clone () const
| Create a copy of the class on the heap.
virtual PString | GetRealm (const PHTTPRequest &request) const
| Get the realm or name space for the user authorisation name and password as required by the basic authorisation system of HTTP/1.0.
virtual PBoolean | Validate (const PHTTPRequest &request, const PString &authInfo) const
| Validate the user and password provided by the remote HTTP client for the realm specified by the class instance.
virtual PBoolean | IsActive () const
| Determine if the authorisation is to be applied.
const PString & | GetUserName () const
| Get the user name allocated to this simple authorisation.
const PString & | GetPassword () const
| Get the password allocated to this simple authorisation.

## Protected Attributes

PString | realm
PString | username
PString | password

## Detailed Description

This class describes the simplest authorisation mechanism for a Universal Resource Locator, a fixed realm, username and password.

## Constructor & Destructor Documentation

PHTTPSimpleAuth::PHTTPSimpleAuth | ( | const PString & | realm,
|  | const PString & | username,
|  | const PString & | password |
| ) |  |  |

Parameters:

  realm | Name space for the username and password.
  username | Username that this object wiull authorise.
  password | Password for the above username.

## Member Function Documentation

virtual PObject* PHTTPSimpleAuth::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

This is used by the `PHTTPResource` classes for maintaining authorisation to resources.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

const PString& PHTTPSimpleAuth::GetPassword | ( |  | ) | const`[inline]`

Get the password allocated to this simple authorisation.

Returns:
  String for the authorisation password.

virtual PString PHTTPSimpleAuth::GetRealm | ( | const PHTTPRequest & | request | ) | const`[virtual]`

Get the realm or name space for the user authorisation name and password as required by the basic authorisation system of HTTP/1.0.

Returns:
  String for the authorisation realm name.

Parameters:

  request | Request information.

Implements PHTTPAuthority.

const PString& PHTTPSimpleAuth::GetUserName | ( |  | ) | const`[inline]`

Get the user name allocated to this simple authorisation.

Returns:
  String for the authorisation user name.

virtual PBoolean PHTTPSimpleAuth::IsActive | ( |  | ) | const`[virtual]`

Determine if the authorisation is to be applied.

This could be used to distinguish between net requiring authorisation and requiring autorisation but having no password.

The default behaviour is to return true.

Returns:
  true if the authorisation in the realm is to be applied.

Reimplemented from PHTTPAuthority.

virtual PBoolean PHTTPSimpleAuth::Validate | ( | const PHTTPRequest & | request,
|  | const PString & | authInfo |
| ) |  |  | const`[virtual]`

Validate the user and password provided by the remote HTTP client for the realm specified by the class instance.

Returns:
  true if the user and password are authorised in the realm.

Parameters:

  request | Request information.
  authInfo | Authority information string.

Implements PHTTPAuthority.

## Member Data Documentation

PString PHTTPSimpleAuth::password `[protected]`

PString PHTTPSimpleAuth::realm `[protected]`

PString PHTTPSimpleAuth::username `[protected]`

The documentation for this class was generated from the following file:

- http.h